from __future__ import print_function

from .constants import PYTHON_DISTRIBUTION_NAME

try:
    import pkg_resources
    VERSION = pkg_resources.get_distribution(PYTHON_DISTRIBUTION_NAME).version

except:
    import sys
    print("Unable to get release information, using hard-coded version name.", file=sys.stderr)
    try:
        from infinishell.__version__ import __version__ as VERSION  # noqa
    except:
        print("Unable to get hard-coded version name")
        VERSION = "(version N/A)"

class _Debug(object):
    _debug = False
    def on(self): self._debug = True
    def off(self): self._debug = False
    def is_on(self): return self._debug
    def __str__(self): return "Debug: {}".format(self._debug)
debug = _Debug()
del _Debug
