from infi.shell.commands import commandgroup, command, magic

from ..renderer import toggle_csv_mode

from .. import VERSION
from .. import raw_mode
from .. import debug

@commandgroup
class InfiniboxMagicCommands(object):
    @magic
    @command(
        description="Displays the version of the InfiniShell client",
        )
    def version(self, _api):
        return VERSION
    @magic
    @command(
        description="Toggle debug prints",
        )
    def debug(self, _api):
        if debug.is_on():
            debug.off()
        else:
            debug.on()
        return str(debug)
    @magic
    @command(
        description="Toggle raw API output",
        )
    def raw(self, _api):
        raw_mode.toggle()
        return "Raw mode is " + ("on" if raw_mode.is_on() else "off")
    @magic
    @command(
        description="Displays the name of the active user",
        )
    def user(self, _api):
        return _api.get_username()
    @magic
    @command(
        description="Toggle the output to CSV mode",
        )
    def csv(self, _api):
        if toggle_csv_mode():
            return "CSV output enabled"
        return "CSV output disabled"
